Bug 1624012 - allow using node-names with block-commit
Summary: allow using node-names with block-commit
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm-rhev
Version: 7.5
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: rc
: ---
Assignee: Kevin Wolf
QA Contact: Gu Nini
URL:
Whiteboard:
Depends On:
Blocks: 1637970
TreeView+ depends on / blocked
 
Reported: 2018-08-30 16:39 UTC by Peter Krempa
Modified: 2018-11-01 11:15 UTC (History)
9 users (show)

Fixed In Version: qemu-kvm-rhev-2.12.0-16.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1637970 (view as bug list)
Environment:
Last Closed: 2018-11-01 11:13:16 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2018:3443 None None None 2018-11-01 11:15:34 UTC

Description Peter Krempa 2018-08-30 16:39:26 UTC
Description of problem:
Referring to members of the backing chain via filename is finicky ( https://bugzilla.redhat.com/show_bug.cgi?id=1614740 ) and requires 
digging through the backing chain data returned by query-block to find the name that qemu will accept ( https://libvirt.org/git/?p=libvirt.git;a=blob;f=src/qemu/qemu_monitor_json.c;h=3181805f9ce79d30b9aa011e9c5859576638f52f;hb=HEAD#l4474 ).

With -blockdev we will specify node names which are meant to refer to backing chain members but block-commit does not support them as arguments.

Upstream posting:
https://lists.gnu.org/archive/html/qemu-block/2018-08/msg00331.html

Comment 3 Ademar Reis 2018-09-05 15:53:18 UTC
Requesting blocker+ because this is a missing piece for blockdev integration, which we need in RHEL-7.6 as it's critical to layered products.

Comment 6 Miroslav Rezanina 2018-09-17 08:55:39 UTC
Fix included in qemu-kvm-rhev-2.12.0-16.el7

Comment 9 errata-xmlrpc 2018-11-01 11:13:16 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:3443


Note You need to log in before you can comment on or make changes to this bug.